gov.ornl.mercury3.commands

## Class BriefRes

- java.lang.Object
- - gov.ornl.mercury3.commands.BriefRes

-     public class BriefRes
      extends Object

  Container for data values to be passed by name to the Brief JSP View.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BriefRes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbstractStr()`
    `String` | `getActualDatasource()`
    `String` | `getComplete_shoppingcart_url()`
    `String` | `getCruise_id()`
    `String` | `getData_url()`
    `String` | `getDataset_id()`
    `String` | `getDatasource()`
    `String` | `getEBound()`
    `String` | `getEndDate()`
    `String` | `getFileID()`
    `ArrayList` | `getGcmdKeyword()`
    `ArrayList` | `getGcmdList()`
    `String` | `getId()`
    `String` | `getKeywords()`
    `float` | `getMaxScore()`
    `String` | `getNBound()`
    `String` | `getproject()`
    `String` | `getProject()`
    `String` | `getRegion()`
    `String` | `getResourcedownload()`
    `String` | `getSBound()`
    `String` | `getScore()`
    `String` | `getSearchmode()`
    `String` | `getShoppingCartFileID()`
    `String` | `getStarCounter()`
    `String` | `getStartDate()`
    `String` | `getSubabstractStr()`
    `String` | `getTitle()`
    `String` | `getVariable()`
    `String` | `getView_dataURL()`
    `String` | `getWBound()`
    `void` | `setAbstractStr(String abstractStr)`
    `void` | `setActualDatasource(String actualDatasource)`
    `void` | `setComplete_shoppingcart_url(String complete_shoppingcart_url)`
    `void` | `setCruise_id(String cruise_id)`
    `void` | `setData_url(String data_url)`
    `void` | `setDataset_id(String dataset_id)`
    `void` | `setDatasource(String datasource)`
    `void` | `setEBound(String bound)`
    `void` | `setEndDate(String endDate)`
    `void` | `setFileID(String fileID)`
    `void` | `setGcmdKeyword(ArrayList gcmdKeyword)`
    `void` | `setGcmdList(ArrayList gcmdList)`
    `void` | `setId(String id)`
    `void` | `setKeywords(String keywords)`
    `void` | `setMaxScore(float maxScore)`
    `void` | `setNBound(String bound)`
    `void` | `setproject(String project)`
    `void` | `setProject(String project)`
    `void` | `setRegion(String region)`
    `void` | `setResourcedownload(String resourcedownload)`
    `void` | `setSBound(String bound)`
    `void` | `setScore(String score)`
    `void` | `setSearchmode(String searchmode)`
    `void` | `setShoppingCartFileID(String shoppingCartFileID)`
    `void` | `setStarCounter(String starCounter)`
    `void` | `setStartDate(String startDate)`
    `void` | `setSubabstractStr(String subabstractStr)`
    `void` | `setTitle(String title)`
    `void` | `setVariable(String variable)`
    `void` | `setView_dataURL(String view_dataURL)`
    `void` | `setWBound(String bound)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BriefRes

          public BriefRes()

  - ### Method Detail

    - #### getAbstractStr

          public String getAbstractStr()

    - #### setAbstractStr

          public void setAbstractStr(String abstractStr)

    - #### getScore

          public String getScore()

    - #### setScore

          public void setScore(String score)

    - #### getEndDate

          public String getEndDate()

    - #### setEndDate

          public void setEndDate(String endDate)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getKeywords

          public String getKeywords()

    - #### setKeywords

          public void setKeywords(String keywords)

    - #### getStartDate

          public String getStartDate()

    - #### setStartDate

          public void setStartDate(String startDate)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getFileID

          public String getFileID()

    - #### setFileID

          public void setFileID(String fileID)

    - #### getMaxScore

          public float getMaxScore()

    - #### setMaxScore

          public void setMaxScore(float maxScore)

    - #### getDatasource

          public String getDatasource()

    - #### setDatasource

          public void setDatasource(String datasource)

    - #### getStarCounter

          public String getStarCounter()

    - #### setStarCounter

          public void setStarCounter(String starCounter)

    - #### getproject

          public String getproject()

    - #### setproject

          public void setproject(String project)

    - #### getShoppingCartFileID

          public String getShoppingCartFileID()

    - #### setShoppingCartFileID

          public void setShoppingCartFileID(String shoppingCartFileID)

    - #### getView_dataURL

          public String getView_dataURL()

    - #### setView_dataURL

          public void setView_dataURL(String view_dataURL)

    - #### getData_url

          public String getData_url()

    - #### setData_url

          public void setData_url(String data_url)

    - #### getActualDatasource

          public String getActualDatasource()

    - #### setActualDatasource

          public void setActualDatasource(String actualDatasource)

    - #### getSubabstractStr

          public String getSubabstractStr()

    - #### setSubabstractStr

          public void setSubabstractStr(String subabstractStr)

    - #### getResourcedownload

          public String getResourcedownload()

    - #### setResourcedownload

          public void setResourcedownload(String resourcedownload)

    - #### getComplete_shoppingcart_url

          public String getComplete_shoppingcart_url()

    - #### setComplete_shoppingcart_url

          public void setComplete_shoppingcart_url(String complete_shoppingcart_url)

    - #### getWBound

          public String getWBound()

    - #### setWBound

          public void setWBound(String bound)

    - #### getEBound

          public String getEBound()

    - #### setEBound

          public void setEBound(String bound)

    - #### getNBound

          public String getNBound()

    - #### setNBound

          public void setNBound(String bound)

    - #### getSBound

          public String getSBound()

    - #### setSBound

          public void setSBound(String bound)

    - #### getGcmdList

          public ArrayList getGcmdList()

    - #### setGcmdList

          public void setGcmdList(ArrayList gcmdList)

    - #### getGcmdKeyword

          public ArrayList getGcmdKeyword()

    - #### setGcmdKeyword

          public void setGcmdKeyword(ArrayList gcmdKeyword)

    - #### getProject

          public String getProject()

    - #### setProject

          public void setProject(String project)

    - #### getDataset_id

          public String getDataset_id()

    - #### setDataset_id

          public void setDataset_id(String dataset_id)

    - #### getRegion

          public String getRegion()

    - #### setRegion

          public void setRegion(String region)

    - #### getCruise_id

          public String getCruise_id()

    - #### setCruise_id

          public void setCruise_id(String cruise_id)

    - #### getVariable

          public String getVariable()

    - #### setVariable

          public void setVariable(String variable)

    - #### getSearchmode

          public String getSearchmode()

    - #### setSearchmode

          public void setSearchmode(String searchmode)

Copyright © 2016. All rights reserved.